Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotification::FixedEventHeader Struct Reference

Define the 'fixed' part of the event header. More...

`import "CosNotification.idl";`

Collaboration diagram for CosNotification::FixedEventHeader:

[legend]
List of all members.

## Public Attributes
_EventType | event_type
| The event type.
string | event_name
| A (possibly unique) name for the particular event.

## Detailed Description

Define the 'fixed' part of the event header.

## Member Data Documentation

string CosNotification::FixedEventHeader::event_name

| A (possibly unique) name for the particular event.

_EventType CosNotification::FixedEventHeader::event_type

| The event type.

The documentation for this struct was generated from the following file:

- CosNotification.idl